unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ImgList, FavoritesMenu;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Files1: TMenuItem;
    Favorites1: TMenuItem;
    Windows1: TMenuItem;
    Close1: TMenuItem;
    FavoritesMenu: TFavoritesMenu;
    ImageList1: TImageList;
    procedure Close1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FavoritesMenuUrlClick(Sender: TObject; Url: String);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Close1Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FavoritesMenu.Refresh;
end;

procedure TForm1.FavoritesMenuUrlClick(Sender: TObject; Url: String);
begin
  Messagedlg('Click: ' + Url, mtinformation, [mbok], 0);
end;

end.
